Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.services.configuration
Class EosFieldGroupConfig

    java.lang.Object
      com.sun.mdm.index.edm.services.configuration.EosFieldGroupConfig

All Implemented Interfaces:
  java.io.Serializable

public class EosFieldGroupConfig
extends java.lang.Object
implements java.io.Serializable

Model search group

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` | `EosFieldGroupConfig.FieldRefStruct`

Constructor Summary
`EosFieldGroupConfig(java.lang.String name, ObjectNodeConfig rootObj)` Constructor for the EosFieldGroupConfig object

Method Summary
`(package private) void` | `addFieldRef(java.lang.String refName, java.lang.String require)`
`(package private) void` | `addFieldRef(java.lang.String refName, java.lang.String choice, java.lang.String require)`
`FieldConfig[]` | `getFieldConfigs()`
`java.lang.String[]` | `getFieldRefs()`
`java.util.ArrayList` | `getFieldRefsAsArrayList()`
`java.lang.String` | `getName()`
`java.lang.String` | `toString()` Description of the Method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EosFieldGroupConfig

    public EosFieldGroupConfig(java.lang.String name,
                               ObjectNodeConfig rootObj)

  Constructor for the EosFieldGroupConfig object

  Parameters:
    `name` - Description of the Parameter
    `rootObj` - the root object

Method Detail

### addFieldRef

    void addFieldRef(java.lang.String refName,
                     java.lang.String require)

### addFieldRef

    void addFieldRef(java.lang.String refName,
                     java.lang.String choice,
                     java.lang.String require)
               throws ProcessingException

  Throws:
    `ProcessingException`

### getFieldConfigs

    public FieldConfig[] getFieldConfigs()
                                  throws ProcessingException

  Returns:
    the field config objs
  Throws:
    `ProcessingException` - when processing fields fails

### getFieldRefs

    public java.lang.String[] getFieldRefs()

  Returns:
    the field refs as strings

### getFieldRefsAsArrayList

    public java.util.ArrayList getFieldRefsAsArrayList()

  Returns:
    the field refs as arraylist

### getName

    public java.lang.String getName()

  Returns:
    the name

### toString

    public java.lang.String toString()

  Description of the Method

  Returns:
    Description of the Return Value

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.